## START: Set by rpmautospec
## (rpmautospec version 0.6.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate pkg-config

Name:           rust-pkg-config
Version:        0.3.30
Release:        %autorelease
Summary:        Library to run the pkg-config system tool

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/pkg-config
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A library to run the pkg-config system tool at build time in order to be
used in Cargo build scripts.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       /usr/bin/pkg-config

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo '/usr/bin/pkg-config'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Wed Feb 14 2024 Fabio Valentini <decathorpe@gmail.com> - 0.3.30-1
- Update to version 0.3.30; Fixes RHBZ#2264154

* Tue Jan 30 2024 Fabio Valentini <decathorpe@gmail.com> - 0.3.29-1
- Update to version 0.3.29; Fixes RHBZ#2258825

* Thu Dec 21 2023 Fabio Valentini <decathorpe@gmail.com> - 0.3.28-1
- Update to version 0.3.28; Fixes RHBZ#2255417

* Thu May 04 2023 Fabio Valentini <decathorpe@gmail.com> - 0.3.27-1
- Update to version 0.3.27; Fixes RHBZ#2192885

* Sat Dec 10 2022 Fabio Valentini <decathorpe@gmail.com> - 0.3.26-1
- Update to version 0.3.26; Fixes RHBZ#2137771

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.25-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Mar 31 2022 Fabio Valentini <decathorpe@gmail.com> - 0.3.25-1
- Update to version 0.3.25; Fixes RHBZ#2070430

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Dec 21 2021 Fabio Valentini <decathorpe@gmail.com> - 0.3.24-1
- Update to version 0.3.24; Fixes RHBZ#2031354

* Thu Dec 09 2021 Fabio Valentini <decathorpe@gmail.com> - 0.3.23-1
- Update to version 0.3.23; Fixes RHBZ#2029553

* Fri Nov 05 2021 Fabio Valentini <decathorpe@gmail.com> - 0.3.22-1
- Update to version 0.3.22; Fixes RHBZ#2016704

* Mon Sep 27 2021 Fabio Valentini <decathorpe@gmail.com> - 0.3.20-1
- Update to version 0.3.20; Fixes RHBZ#2007872

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.19-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Nov 09 2020 Fabio Valentini <decathorpe@gmail.com> - 0.3.19-1
- Update to version 0.3.19.
- Fixes RHBZ#1887781

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jul 14 2020 Josh Stone <jistone@redhat.com> - 0.3.18-1
- Update to 0.3.18

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Nov 19 2019 Josh Stone <jistone@redhat.com> - 0.3.17-1
- Update to 0.3.17

* Mon Sep 09 11:43:13 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.16-1
- Update to 0.3.16

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.14-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jun 20 12:29:16 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.14-6
- Regenerate

* Sun Jun 09 11:21:52 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.14-5
- Regenerate

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Oct 26 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.14-3
- Adapt to new packaging

* Sun Oct 07 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.14-2
- Run tests in infrastructure

* Sat Sep 08 2018 Josh Stone <jistone@redhat.com> - 0.3.14-1
- Update to 0.3.14

* Tue Aug 07 2018 Josh Stone <jistone@redhat.com> - 0.3.13-1
- Update to 0.3.13

* Thu Jul 19 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.120.3.12-11
- Update to 0.3.12

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Apr 24 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.11-1
- Update to 0.3.11

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 25 2018 Josh Stone <jistone@redhat.com> - 0.3.9-5
- Fix unused_imports warning for AsciiExt (rust 1.23)

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.9-4
- Rebuild for rust-packaging v5

* Thu Nov 30 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.9-3
- Bump lazy_static to 1

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.9-2
- Port to use rust-packaging

* Sun Feb 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.9-1
- Initial package

## END: Generated by rpmautospec
